
package com.ejie.ab61.clientesWS.X43SolicitudesYAportaciones;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TDeliveryStatusPostal.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TDeliveryStatusPostal">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="EA"/>
 *     &lt;enumeration value="EB"/>
 *     &lt;enumeration value="EC"/>
 *     &lt;enumeration value="ED"/>
 *     &lt;enumeration value="EZ"/>
 *     &lt;enumeration value="XX"/>
 *     &lt;enumeration value="C00"/>
 *     &lt;enumeration value="C01"/>
 *     &lt;enumeration value="D01"/>
 *     &lt;enumeration value="D02"/>
 *     &lt;enumeration value="D03"/>
 *     &lt;enumeration value="D04"/>
 *     &lt;enumeration value="D05"/>
 *     &lt;enumeration value="D06"/>
 *     &lt;enumeration value="D07"/>
 *     &lt;enumeration value="D08"/>
 *     &lt;enumeration value="D09"/>
 *     &lt;enumeration value="D18"/>
 *     &lt;enumeration value="D22"/>
 *     &lt;enumeration value="D23"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TDeliveryStatusPostal")
@XmlEnum
public enum TDeliveryStatusPostal {

    EA("EA"),
    EB("EB"),
    EC("EC"),
    ED("ED"),
    EZ("EZ"),
    XX("XX"),
    @XmlEnumValue("C00")
    C_00("C00"),
    @XmlEnumValue("C01")
    C_01("C01"),
    @XmlEnumValue("D01")
    D_01("D01"),
    @XmlEnumValue("D02")
    D_02("D02"),
    @XmlEnumValue("D03")
    D_03("D03"),
    @XmlEnumValue("D04")
    D_04("D04"),
    @XmlEnumValue("D05")
    D_05("D05"),
    @XmlEnumValue("D06")
    D_06("D06"),
    @XmlEnumValue("D07")
    D_07("D07"),
    @XmlEnumValue("D08")
    D_08("D08"),
    @XmlEnumValue("D09")
    D_09("D09"),
    @XmlEnumValue("D18")
    D_18("D18"),
    @XmlEnumValue("D22")
    D_22("D22"),
    @XmlEnumValue("D23")
    D_23("D23");
    private final String value;

    TDeliveryStatusPostal(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TDeliveryStatusPostal fromValue(String v) {
        for (TDeliveryStatusPostal c: TDeliveryStatusPostal.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
